---
# Source: operator-inventory/templates/serviceaccount.yaml
apiVersion: v1
kind: ServiceAccount
metadata:
  name: operator-inventory-sa
  namespace: "namespace_placeholder"
---
# Source: operator-inventory/templates/configmap-app.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: app-versions-cm
data:
  composer-hub: |
    repository: "cubbit/composer-hub"
    tag: "25.24.174-af648530be"
  gods3: |
    repository: "cubbit/gods3"
    tag: "25.24.168-c7de01b611"
  gods3-hub: |
    repository: "cubbit/gods3-hub"
    tag: "25.24.171-300c5a07f4"
  gods3-message-handler: |
    repository: "cubbit/gods3-message-handler"
    tag: "25.24.168-c7de01b611"
  gods3-message-outbox: |
    repository: "cubbit/gods3-message-outbox"
    tag: "25.24.168-c7de01b611"
  gods3-partitioner: |
    repository: "cubbit/gods3-partitioner"
    tag: "25.22.154-54b3adeab9"
  iam: |
    repository: "cubbit/iam"
    tag: "25.24.168-4a060c07f6"
  keyvault: |
    repository: "cubbit/keyvault"
    tag: "25.20.140-8c7b53bbfb"
  lifecicle: |
    repository: "cubbit/lifecycle"
    tag: "25.24.168-c7de01b611"
  metrics-ingestion: |
    repository: "cubbit/metrics-ingestion"
    tag: "25.11.080-f17ffbf8f9"
  next-mailer: |
    repository: "cubbit/next-mailer"
    tag: "25.24.168-4a060c07f6"
  operator-dashboard: |
    repository: "cubbit/operator-dashboard"
    tag: "25.24.169-6b71a03960"
  resource-monitor: |
    repository: "cubbit/resource-monitor"
    tag: "25.19.134-870464499d"
  swarm-gateway: |
    repository: "cubbit/swarm-gateway"
    tag: "25.8.058-80e1e9cf50"
  webapp-s3: |
    repository: "cubbit/webapp-s3"
    tag: "25.24.169-41f4368590"
---
# Source: operator-inventory/templates/configmap-efesto.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: operator-inventory
data:
  configuration.json: "{\n  \"environment\": \"production\",\n  \"http_host\": \"0.0.0.0\",\n  \"http_port\": 8283,\n  \"is_multi_gw\": false,\n  \"namespace\": \"namespace_placeholder\",\n  \"root_domain\": \"proxy_placeholder\",\n  \"use_in_cluster\": true\n}\n"
---
# Source: operator-inventory/templates/clusterrole.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: operator-inventory-sa-edit
rules:
- apiGroups: ["coordination.k8s.io"]
  resources: ["leases"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["tenant.cubbit.io"]
  resources: ["tenants"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["gateway.cubbit.io"]
  resources: ["gateways"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["offloader.cubbit.io"]
  resources: ["offloaders"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: [""]
  resources: ["secrets"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["profile.manager.cubbit.io"]
  resources: ["profilegateways"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["profile.manager.cubbit.io"]
  resources: ["profileagents"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: [""]
  resources: ["configmaps"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["*"]
  resources: ["nodes"]
  verbs: ["get", "list", "watch"]
---
# Source: operator-inventory/templates/rolebinding.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: operator-inventory-sa-edit
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: operator-inventory-sa-edit
subjects:
- kind: ServiceAccount
  name: operator-inventory-sa
  namespace: "namespace_placeholder"
---
# Source: operator-inventory/templates/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: operator-inventory
  namespace: namespace_placeholder
spec:
  type: ClusterIP
  ports:
    - port: 8283
      targetPort: http
      protocol: TCP
      name: http
  selector:
    name: operator-inventory
---
# Source: operator-inventory/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app.kubernetes.io/app-name: operator-inventory
  name: operator-inventory
  namespace: namespace_placeholder
spec:
  replicas: 1
  selector:
    matchLabels:
      name: operator-inventory
  template:
    metadata:
      labels:
        name: operator-inventory
    spec:
      imagePullSecrets:
        - name: regcred
      serviceAccountName: operator-inventory-sa
      containers:
      - name: operator-inventory
        image: cubbit/operator-inventory:26.10.069-7b97c8ad5f
        imagePullPolicy: "Always"
        env:
        - name: POD_NAME
          valueFrom:
            fieldRef:
              fieldPath: metadata.name
        - name: LOG_LEVEL
          value: "info"
        - name: GIN_MODE
          value: "debug"
        - name: EFESTO_NAMESPACE
          value: "namespace_placeholder"
        - name: EFESTO_CONFIGMAP_NAME
          value: "operator-inventory"
        - name: EFESTO_CONFIGMAP_KEY
          value: "configuration.json"
        - name: EFESTO_SECRET_NAME
          value: "operator-inventory"
        - name: EFESTO_SECRET_KEY
          value: "secret.json"
        - name: SKIP_SECRET_GENERATION
          value: "false"
        ports:
          - name: http
            containerPort: 8283
            protocol: TCP
---
# Source: operator-inventory/templates/ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: operator-inventory-ingress
  namespace: namespace_placeholder
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production-dns01"
spec:
  ingressClassName: nginx
  tls:
  - hosts:
    - "operator-inventory_placeholder"
    secretName: "letsencrypt-operator-inventory"
  rules:
    - host: "operator-inventory_placeholder"
      http:
          paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: operator-inventory
                port:
                  number: 8283
---
